Skip to main content
GET
/
v2
/
identities
List all identities
curl --request GET \
  --url https://api-sandbox.argyle.com/v2/identities \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": "0186da0b-6569-0ea0-eb50-b64e97cb29e9",
    "account": "0186da0b-9923-0d27-4b05-6ce3b7b07b89",
    "address": {
      "city": "San Diego",
      "line1": "54 N Shea Ridge",
      "line2": null,
      "state": "CA",
      "country": "US",
      "postal_code": "92092"
    },
    "first_name": "Joe",
    "last_name": "Burnam",
    "full_name": "Joe Burnam",
    "birth_date": "1978-08-29",
    "email": "[email protected]",
    "phone_number": "+12123338708",
    "picture_url": "www.argyle.com/logofoldername",
    "employment_status": "active",
    "employment_type": "part-time",
    "job_title": "Hourly staff",
    "ssn": "301-06-1225",
    "marital_status": "Married filing jointly",
    "gender": "Male",
    "original_hire_date": "2022-05-18",
    "hire_date": "2022-05-18",
    "termination_date": null,
    "termination_reason": null,
    "employer": "Double Double",
    "employment": "0183d52a-d3b2-331d-c753-3662a20e352b",
    "base_pay": {
      "amount": "18.08",
      "period": "hourly",
      "currency": "USD"
    },
    "pay_cycle": "monthly",
    "platform_ids": {
      "employee_id": "32ULINA8",
      "position_id": "67LKUKA8",
      "platform_user_id": "332512349952"
    },
    "created_at": "2023-01-31T12:13:24.561594Z",
    "updated_at": "2023-01-31T12:45:06.478699Z",
    "metadata": {}
  },
  {
    "id": "0353c142-4ab9-baa1-cb44-c8b51225877e",
    "account": "0185a8b8-60eb-80ca-7482-5f24504573f7",
    "address": {
      "city": "Oklahoma City",
      "line1": "312 Main Ave",
      "line2": null,
      "state": "OK",
      "country": "US",
      "postal_code": "73008"
    },
    "first_name": "Bob",
    "last_name": "Jones",
    "full_name": "Bob Jones",
    "birth_date": "1983-07-02",
    "email": "[email protected]",
    "phone_number": "+13228675309",
    "picture_url": "www.argyle.com/logofoldername",
    "employment_status": "active",
    "employment_type": "contractor",
    "job_title": "Data analyst",
    "ssn": "507-18-3058",
    "marital_status": "Single",
    "gender": "Female",
    "original_hire_date": "2019-01-03",
    "hire_date": "2021-04-08",
    "termination_date": null,
    "termination_reason": null,
    "employer": "Half Bads",
    "employment": "0183d52a-d3b2-331d-c753-3662a20e352b",
    "base_pay": {
      "amount": "39.72",
      "period": "hourly",
      "currency": "USD"
    },
    "pay_cycle": "biweekly",
    "platform_ids": {
      "employee_id": "bd823Lk",
      "position_id": "ab3EkU2",
      "platform_user_id": "832355"
    },
    "created_at": "2023-01-30T13:53:24.561594Z",
    "updated_at": "2023-01-30T13:55:06.478699Z",
    "metadata": {}
  }
]

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Query Parameters

account
string<uuid>

Filter by account ID.

user
string<uuid>

Filter by user ID.

employment
string<uuid>

Filter by employment ID.

limit
integer

Number of identity objects returned per page. Default: 10. Maximum: 200.

Response

200 - application/json
id
string<uuid>

Unique ID of the identity.

Example:

"0153b145-7ab9-bea2-cc16-a8b71328942f"

account
string<uuid>

ID of the account associated with the identity.

Example:

"0187c66e-e7e5-811c-b006-2232f00f426a"

address
object
first_name
string

First name of the employee. Usually the legal first name.

Example:

"Sarah"

last_name
string

Last name of the employee. Usually the legal last name.

Example:

"Longfield"

full_name
string

Full name of the employee. Sourced from payroll data if available, otherwise constructed from available names and suffixes.

Example:

"Sarah Longfield"

birth_date
string<date>

Date of birth in ISO 8601 format. If values are obfuscated (rare), a dash will replace the value (e.g. --01-31 when the year is obfuscated).

Example:

"1980-10-30"

email
string

Email address.

Example:

"[email protected]"

phone_number
string

Phone number E.164 international format).

Example:

"+12125555555"

picture_url
string

URL location of the user's profile image.

Example:

"www.argyle.com/logofoldername"

employment_status
enum<string>

Job status of the employment relevant to the identity.

  • active
  • inactive
  • terminated

inactive and terminated definitions vary by Item and can overlap.

inactive typically indicates the employee left voluntarily, is on leave, or has not been active for a certain period of time.

terminated typically indicates the employee is no longer employed. Specific reasons for termination, if available, are returned in the termination_reason field.

We recommend using data from the /paystubs and /gigs endpoints to construct a more wholistic timeline of employment history.

Available options:
active,
inactive,
terminated
Example:

"active"

employment_type
enum<string>

Type of employment.

  • full-time
  • part-time
  • contractor
  • military
  • benefits
  • seasonal
  • temporary
  • other
Available options:
full-time,
part-time,
contractor,
military,
benefits,
seasonal,
temporary,
other
Example:

"full-time"

job_title
string

Job title.

Example:

"Store Manager"

ssn
string

Social Security number.

Example:

"522-09-1191"

marital_status
string

Marital status.

Example:

"Married filing jointly"

gender
string

Gender.

Example:

"Female"

original_hire_date
string<date>

Timestamp (ISO 8601) of the user's earliest employment start date.

Example:

"2019-01-03"

hire_date
string<date>

Timestamp (ISO 8601) of the user's most recent employment start date.

hire_date may differ from original_hire_date due to a promotion, a re-hiring event, or similar.

Example:

"2020-04-08"

termination_date
string<date> | null

Timestamp (ISO 8601) when the user was terminated.

Example:

null

termination_reason
string | null

Reason for termination.

Example:

null

employer
string

Name of the employer.

Example:

"Whole Goods"

employment
string

Employment ID. Can be used as a filter when listing identities.

Example:

"0183d52a-d3b2-331d-c753-3662a20e352b"

base_pay
object
pay_cycle
enum<string>

Payment frequency.

  • daily
  • weekly
  • biweekly — every two weeks
  • semimonthly — twice a month
  • monthly
  • quarterly
Available options:
daily,
weekly,
biweekly,
semimonthly,
monthly,
quarterly
Example:

"semimonthly"

platform_ids
object
created_at
string<datetime>

Timestamp (ISO 8601) when the identity object was created.

Example:

"2023-01-30T12:53:24.561594Z"

updated_at
string<datetime>

Timestamp (ISO 8601) when a property value of the identity object most recently changed.

Example:

"2023-01-30T12:55:06.478699Z"

metadata
object

Additional, non-categorized information.

Example:
{}